.TH GPIV 1 "14 December 2007"
.SH NAME
gpiv \- Analyzes images obtained from a fluid flow by Particle Image
Velocimetry.

.SH SYNOPSIS

\fBgpiv\fP 
[\fB-? | --help\fR]
[\fB--usage\fR]
[\fB--console_bins \fIBINS\fR]
[\fB--console_tooltips\fR]
[\fB--console_view_gpivbuttons\fR]
[\fB--console_view_tabulator\fR]
[\fB--display_background  \fIINT\fR]
[\fB--display_intregs\fR]
[\fB--display_piv\fR]
[\fB--display_stretch\fR]
[\fB--display_scalar  \fIINT\fR]
[\fB--display_vectorscale \fISCALE\fR]
[\fB--display_view_menubar\fR]
[\fB--display_view_rulers\fR]
[\fB--display_zoomscale \fISCALE\fR]
[\fB--hdf\fR]
[\fB--img_fmt\fR]
[\fB--mpi_nodes]
[\fB-p\fR | \fB--print\fR]
[\fB--process_imgproc\fR]
[\fB--process_piv\fR]
[\fB--process_gradient\fR]
[\fB--process_resstatst\fR]
[\fB--process_errvec\fR]
[\fB--process_peaklock\fR]
[\fB--process_average\fR]
[\fB--process_scale\fR]
[\fB--process_substract\fR]
[\fB--process_vorstra\fR]
[\fIIMAGE1\fR, \fIIMAGE2\fR, \fI...\fR]
\fP

.SH DESCRIPTION

\fBGpiv\fP is a Graphic User Interface program for recording and
analyzing images obtained from a fluid flow that has been seeded with
tracer particles by the so-called Particle Image Velocimetry (PIV)
technique. It allows to have a quick overview of the process settings,
easily changing them, executing the processes, visualizing and
optimizing their results in an interactive way. The processes that may
be performed are image recording, interrogation (resulting into PIV
estimators), validation and post-processing of the PIV estimators.

The settings for the PIV processes are subsequently searched in
\fI~/.gpivrc\fR or in \fIgpiv.conf\fP (system wide), which is provided
by libgpiv.

For recording images, \fBgpiv\fP recognizes (CCD) cameras that are
IIDC-compliant and connected to the Computer with the IEEE1394
or Firewire protocol.

In case \fBgpiv\fP will trigger a camera and lasers, it uses a kernel
module gpivtrig_rtl from the gpivtrig package that depends on the Real
Time Application Interface (RTAI) and RealTimeLinux. Trigger pulses
are send to the parallel port of the Computer (/dev/lpt0 or /dev/lpt1;
see the configure script of the gpivtrig package) at bins #1 (camera),
#2 and #3 (first and second laser respectively). The program may be
started directly if all modules have been loaded or by the
gpiv_control script, also included in the gpivtrig package, which
takes care of the loading and unloading of the needed kernel
modules. Currently, the trigger system is tested with RTAI-3.1 and the
linux kernel-2.4.27.

The parameters and options to be used for \fBgpiv\fP are obtained from
~/.gnome2/gpiv or default settings are to be used if absent. The
settings may be changed or updated by menu->settings->preferences. The
parameters of \fBgpiv\fP (not the PIV process settings) may be
overruled by the command line options, as explained below.

When \fBgpiv\fR is used on a (Beowulf, distributed memory) cluster,
the MPI-parallelised program \fBgpiv_rr\fR from the gpivtools package
is invoked using \fBmpirun\fR. The \fBgpiv\fR program, however, is
launched in the normal way, without invoking\fB mpirun\fR.

.SH Options 
.TP
\fB-? | --help\fR
On-line help. Besides the options of \fBgpiv\fP it also shows
the additional GNOME, GTK and GNOME GUI options.

.TP
\fB--usage\fR
Display a brief usage message.

.TP 
\fB--console_bins \fIBINS\fR
Number of bins for histograms of estimators at sub-pixel level,
performed by the peaklock process and of the median residues,
performed by the errvec process.

.TP
\fB-t\fR | \fB--console_tooltips\fR
Show tooltips.

.TP
\fB--console_view_gpivbuttons\fR
View the \fBgpiv\fR buttons of the application.

.TP
\fB--console_view_tabulator\fR
View the tabulator of the application containing all PIV process
settings.


.TP
\fB--display_background \fIINT\fR
Displaying of background: \fIINT\fR = 0: darkblue \fIINT\fR = 1: black
\fIINT\fR = 2: first frame of image \fIINT\fR = 3: second frame of image

.TP
\fB--display_intregs\fR
Enables displaying of interrogation regions.

.TP
\fB--display_piv\fR
Displaying of PIV data.

.TP
\fB--display_stretch\fR
Enables automatic stretching of the display when zooming.

.TP
\fB--display_scalar \fIINT\fR
Display derived quantities from PIV data: \fIINT\fR = 0: none \fIINT\fR = 1:
vorticity \fIINT\fR = 2: shear strain \fIINT\fR = 3: normal strain

.TP
\fB--display_view_menubar\fR
Enables displaying of the menubar.

.TP
\fB--display_view_rulers\fR
Enables displaying of the ruler.

.TP
\fB--display_vectorscale \fISCALE\fR
Display vector with index: 
\fISCALE\fR = 0: magnification factor = 1, 
\fISCALE\fR = 1: magnification factor = 2, 
\fISCALE\fR = 2: magnification factor = 4, 
\fISCALE\fR = 3: magnification factor = 8, 
\fISCALE\fR = 4: magnification factor = 16, 
\fISCALE\fR = 5: magnification factor = 32, 
\fISCALE\fR = 3: magnification factor = 64, 
\fISCALE\fR = 4: magnification factor = 128, 
\fISCALE\fR = 5: magnification factor = 256.

.TP
\fB-z\fR | \fB--display_zoomscale \fISCALE\fR
Display zoom with index: 
\fISCALE\fR = 0: magnification factor = 0.5, 
\fISCALE\fR = 1: magnification factor = 0.83, 
\fISCALE\fR = 2: magnification factor = 1.0, 
\fISCALE\fR = 3: magnification factor = 1.3, 
\fISCALE\fR = 4: magnification factor = 1.6, 
\fISCALE\fR = 5: magnification factor = 2.0.

.TP
\fB--hdf\fR
Save data in HDF5 format with \fB.gpi\fR extension.

.TP
\fB--img_fmt \fIINT\fR
store (modified) image data and header in:
\fIINT\fR = 0: PNG format, 
\fIINT\fR = 1: raw format, 
\fIINT\fR = 2: HDF5 format, included with the resulting PIV and
post-processing data with \fB.gpi\fR extension.

.TP
\fB--mpi_nodes \fIINT\fR
To define the number of nodes when used on a cluster. Used by
\fBmpirun -np \fIINT\fR.

.TP
\fB-p\fR | \fB--print\fR
Print process parameter settings to stdout.

.TP
\fB--process_imgproc\fR
Includes image processing in the chain-process.

.TP
\fB--process_piv\fR
Includes piv interrogation in the chain-process.

.TP
\fB--process_gradient\fR
Includes testing on the displacement gradient within interrogation area in the chain-process.

.TP
\fB--process_resstatst\fR
Includes calculation of statistics of displacement residuals in the chain-process.

.TP
\fB--process_errvec\fR
Includes validation on PIV data in the chain-process.

.TP
\fB--process_peaklock\fR
Includes peak lock in the chain- process.

.TP
\fB--process_average\fR
Includes calculation of the whole field average PIV displacements in the chain-process.

.TP
\fB--process_scale\fR
Includes scaling in the chain-process.

.TP
\fB--process_subtract\fR
Includes substracting of the whole field average PIV displacements in the chain-process.

.TP
\fB--process_vorstra\fR
Includes calculation of vorticity in the chain-process.

.TP
\fIIMAGE1\fR, \fIIMAGE2\fR, \fI...\fR
Loads \fIIMAGE1\fR, \fIIMAGE2\fR, ... from a file or from an URI
using the Gnome Virtual File System.  The maximum allowed image
dimensions and quantity to be loaded are defined by the program as
described in gpiv_gui.h or by the 'configure' script during the
building of \fBgpiv\fR.



.SH SEE ALSO
On-line documentation at
http://gpiv.sourceforge.net/gpiv_doc/index.html
or from the help-menu of \fBgpiv\fR, gpiv_control(1) and gpivtools(1).

.SH AUTHOR
Gerber Van der Graaf

